%global momorel 1
%global svn_date 20080214
%global use_svn 0

Summary:        C based Compiz config configuration tool
Name:           compizconfig-backend-gconf
Version:        0.9.2.1
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release:        %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.compiz-fusion.org/
%if %{use_svn}
Source0:        %{name}-%{version}-%{svn_date}.tar.bz2
%else
Source0: http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2 
NoSource: 0
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       compiz-core
Requires:       libcompizconfig >= %{version}, compizconfig-python >= %{version}
BuildRequires:  libcompizconfig-devel >= %{version}
BuildRequires:  GConf2-devel, glib2-devel
BuildRequires:  autoconf, automake, libtool
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  libattr-devel
BuildRequires:  libutempter-devel

%description
C based CCS configuration tool

%prep

%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%if %{use_svn}
./autogen.sh
make distclean
%endif

mkdir build
cd build

cmake ../ -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCOMPIZ_DESTDIR=%{buildroot}/
make

%install
rm -rf --preserve-root %{buildroot}

cd build
make install

rm -f %{buildroot}%{_libdir}/compizconfig/backends/libgconf.*a

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/compizconfig/backends/libgconf.so

%changelog
* Tue Nov  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2.1-1m)
- update 0.9.2.1

* Tue Oct 26 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2-1m)
- update 0.9.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-2m)
- full rebuild for mo7 release

* Sun Jul  4 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-1m)
- update 0.9.0

* Thu Apr 22 2010 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.8.4-3m)
- rebuild against compiz-core-0.8.6

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 20 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.4-1m)
- update 0.8.4

* Mon Jul 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- change BPR libcompizconfig to libcompizconfig-devel

* Mon Apr  6 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.2-1m)
- update 0.8.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-2m)
- rebuild against rpm-4.6

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.8-1m)
- update 0.7.8

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Tue Mar  4 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.99-0.20080214.2m)
- add gconf-CCSSettingKeyValue.patch for CCSSettingKeyValue

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.1m)
- update 0.6.99-20080214

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- %%NoSource -> NoSource

* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.1m)
- update 0.6.0-test

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070630.1m)
- update 20070630

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070621.2m)
- change Requires from compiz to compiz-core

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- split package : ccs-settings
